Subject: Re: WWOOFers

From: Victor Guest <[email-masked]>
Date: Sat, 16 Jan 1999 10:15:42 WST

Hi if you are anywhere near here sounds like a great place to visit
Vic

Hello, Christopher Peck

We have a buffalo ranch in NE Oregon, about an hour off Interstate 84. If
you're going by, stop in. We have a very interesting Buffalo and Land
Steward, Arthur Sappington, that people come to study with from time to
time. There's a Work, Study, Play program that includes room and board for
5 hours a day of work. It sounds like you and Art would have a lot to talk
about. We've been doing HM more or less since 1993.

If you would like some more information, send me an address.

Barbara